%define major		1
%define libname		%mklibname qxlsxqt6_ %{major}
%define develname	%mklibname qxlsx-qt6 -d
%define fname		QXlsx

Name:		qxlsx
Version:	1.5.0
Release:	%mkrel 2
Summary:	Excel/XLSX file reader/writer library for Qt
Group:		Databases
License:	MIT
URL:		https://github.com/QtExcel/QXlsx
Source0:	https://github.com/QtExcel/QXlsx/archive/v%{version}/QtXslx-%{version}.tar.gz
BuildRequires:	gcc-c++
BuildRequires:	cmake
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	pkgconfig(xkbcommon)

%description
QXlsx is a reader/writer library for Excel files (*.xlsx).

%package -n %{libname}
Summary:	Library for QXlsx (Qt6)
Group:		System/Libraries

%description -n %{libname}
QXlsx is a reader/writer library for Excel files (*.xlsx).

%package -n %{develname}
Summary:	Development files for QtXslx Qt6
Group:		Development/KDE and Qt
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}-qt6-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n %{develname}
QXlsx is a reader/writer library for Excel files (*.xlsx).

This package contains the development files of QXlsx for Qt6.

%prep
%autosetup -p1 -n %{fname}-%{version}

%build
%cmake QXlsx \
	-DQT_VERSION_MAJOR:STRING=6
%cmake_build

%install
%cmake_install

%check
%ctest

%files -n %{libname}
%{_libdir}/libQXlsxQt6.so.%{major}
%{_libdir}/libQXlsxQt6.so.%{version}

%files -n %{develname}
%license LICENSE
%doc README*
%{_libdir}/libQXlsxQt6.so
%{_includedir}/QXlsxQt6/
%{_libdir}/cmake/QXlsxQt6/


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 1.5.0-2.mga10
+ Revision: 2249625
- Mageia 10 Mass Rebuild

* Sun Mar 23 2025 daviddavid <daviddavid> 1.5.0-1.mga10
+ Revision: 2169254
- new version: 1.5.0
- now libmajor is 1

* Tue Dec 31 2024 daviddavid <daviddavid> 1.4.10-1.mga10
+ Revision: 2134121
- new version: 1.4.10

* Thu Aug 29 2024 daviddavid <daviddavid> 1.4.9-1.mga10
+ Revision: 2092136
- new version: 1.4.9

* Wed Jan 04 2023 daviddavid <daviddavid> 1.4.4-2.mga9
+ Revision: 1929799
- split out all Qt6 build dependencies

* Tue Oct 18 2022 ghibo <ghibo> 1.4.4-1.mga9
+ Revision: 1897462
- imported package qxlsx


* Tue Oct 18 2022 ghibo <ghibo> - 1.4.4-1.mga9
- Initial release (based on FC).
